using System;
using TestDialogManager.Interfaces;

namespace TestDialogManager.Services
{
    public class RendererService
    {
        public Action<IRenderer> AddRendererAction{ get; set; }
        public Action<Guid> RemoveRendererAction { get; set; }

        public void AddRenderer(IRenderer renderer)
        {
            AddRendererAction?.Invoke(renderer);
        }
        public void RemoveRender(Guid id)
        {
            RemoveRendererAction?.Invoke(id);
        }
    }
}
